﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}

<p>
    <a href="@Url.Page("./InsertRestaurant")">Create New Product</a>
</p>

<table>
    <thead>
        <tr>
            <th>ID Reservasi</th>
            <th>Nama</th>
            <th>Alamat</th>
        </tr>
    </thead>
    <tbody>

        @foreach (var buku in Model.Items)
        {
            <tr>
                <td>@buku.Id</td>
                <td>@buku.Name</td>
                <td>@buku.Address</td>
                <td>
                    <div>
                        <a href="@Url.Page("/Buku/UpdateApi", new { IDFind = buku.Id })">Edit Buku via Api</a>
                    </div>
                    <div>
                        <a href="@Url.Page("/Buku/DeleteApi", new { IDFind = buku.Id })">Delete Buku via Api</a>
                    </div>
                </td>

            </tr>
        }
        <div>
            <a href="./InsertApi">Insert Buku via Api</a>
        </div>
        <div>
            <a href="./CariApi">Search ID Buku via Api</a>
        </div>
    </tbody>
</table>

